:root{
    --primary-color: #3A8EF6;
    --secondary-color: #f3f3fd;
    --primary-color-dark: #1678F2;
}
body {
    font-family: 'Plus Jakarta Sans', sans-serif;
    font-weight: 500;
    padding: 30px 70px;
    background-color: var(--secondary-color);
    font-size: large;
}

.section-title{
    margin:100px 0px;
    font-size: medium;
    font-weight: bold;
    letter-spacing: 3px;
    color: var(--primary-color-dark);
    text-transform: uppercase;
}

.button-hover:hover{
    background-color: var(--secondary-color)!important;
    border-color:var(--primary-color);
    color: var(--primary-color);
}

/*nav link hover: https://stackoverflow.com/questions/39495493/line-under-navbar-when-hovering*/
.nav-link {
    position: relative;
    text-decoration: none;
    padding: 0.5rem 1rem;
}

.nav-link::after {
    content: '';
    position: absolute;
    width: 0%;
    height: 3px;
    background-color: var(--primary-color);
    bottom: 0;
    left: 0;
    transition: width 0.3s ease;
}

.nav-link:hover::after {
    width: 100%;
}

.form-group{
    margin: 20px 0px;
}

.table td, .table th {
    padding: 1rem;
}

label.required::after {
    content: " *";
    color: red;
}

.column-overflow {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 250px;
}

.no-hover-button:hover{
    background-color: transparent!important;
    color: var(--primary-color-dark)!important;
    border-color: inherit!important;
}

